[gjs/iwyu-job: 1/3] CI: Only setup the builddir in run_iwyu



commit e7cf4c72dfd4292b6b6e4680abe86540469a3f35
Author: Philip Chimento <philip chimento gmail com>
Date:   Tue Jun 2 21:43:29 2020 -0700

    CI: Only setup the builddir in run_iwyu
    
    There's no need to build the whole project, as we are only analyzing the
    source code. We just need to run 'meson setup' on the builddir so that
    we have the compilation database.

 tools/run_iwyu.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/tools/run_iwyu.sh b/tools/run_iwyu.sh
index e67f4818..e718f31d 100755
--- a/tools/run_iwyu.sh
+++ b/tools/run_iwyu.sh
@@ -31,11 +31,11 @@ should_analyze () {
     esac
 }
 
-cd ${BUILDDIR:-_build}
-if ! ninja; then
-    echo 'Build failed.'
+if ! meson setup _build; then
+    echo 'Meson failed.'
     exit 1
 fi
+cd ${BUILDDIR:-_build}
 
 IWYU="iwyu_tool -p ."
 PRIVATE_MAPPING="-Xiwyu --mapping_file=$SRCDIR/tools/gjs-private-iwyu.imp -Xiwyu --keep=config.h"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]